Name:           python-xgboost
Version:        3.0.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        XGBoost Python Package

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://github.com/dmlc/xgboost
Source:         %{pypi_source xgboost}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'xgboost' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-xgboost
Summary:        %{summary}

%description -n python3-xgboost %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-xgboost dask,pandas,plotting,pyspark,scikit-learn


%prep
%autosetup -p1 -n xgboost-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dask,pandas,plotting,pyspark,scikit-learn


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-xgboost -f %{pyproject_files}


%changelog
%autochangelog